{
  "buffs": [
  
    {"id": "nothing","stat_type": "upgrade_discount","stat_sub_type": "nothing","amount": -1,"has_description": false,"remove_if_not_active": false,"rule_type": "always","is_false_rule": true,"rule_data": {"float": 0,"string": ""}},

    {"id": "starwarder_Buff_TT1","stat_type": "upgrade_discount","stat_sub_type": "starwarder_Buff_TT1","amount": 1,"remove_if_not_active": false,"rule_type": "always","is_false_rule": false,"rule_data": {"float": 0,"string": ""}},
    {"id": "starwarder_Buff_TT2","stat_type": "upgrade_discount","stat_sub_type": "starwarder_Buff_TT2","amount": 1,"remove_if_not_active": false,"rule_type": "always","is_false_rule": false,"rule_data": {"float": 0,"string": ""}},
    
	{
      "id": "SW_SK4_HDot2_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK4_HDot2_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK4_HDot3_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK4_HDot3_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK4_HDot4_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK4_HDot4_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK4_Stealth_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK4_Stealth_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK4_SSDot_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK4_SSDot_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_TT3",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_TT3",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_TT4",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_TT4",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_TT5",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_TT5",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_Debuff_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_Debuff_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_Debuff_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_Debuff_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_Debuff_TT3",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_Debuff_TT3",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_Debuff_TT4",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_Debuff_TT4",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Stun_Debuff_TT5",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Stun_Debuff_TT5",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "Get_Light_Dust",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "Get_Light_Dust",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK1_Steal_stealth_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK1_Steal_stealth_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "Starwarder_SK6_Cure_poison_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "Starwarder_SK6_Cure_poison_TT",
      "amount": 1,
      "duration": 1,
      "duration_type": "quest_end",
      "remove_if_not_active": false,
      "rule_type": "skill",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": "Starwarder_SK6"
      }
    },
    {
      "id": "Starwarder_SK6_Cure_bleed_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "Starwarder_SK6_Cure_bleed_TT",
      "amount": 1,
      "duration": 1,
      "duration_type": "quest_end",
      "remove_if_not_active": false,
      "rule_type": "skill",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": "Starwarder_SK6"
      }
    },
    {
      "id": "Starwarder_SK3_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "Starwarder_SK3_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "Starwarder_SK3_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "Starwarder_SK3_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Buff_Self",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Buff_Self",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Riposte_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Riposte_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Riposte_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Riposte_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Riposte_TT3",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Riposte_TT3",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Riposte_TT4",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Riposte_TT4",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Riposte_TT5",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Riposte_TT5",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_info_Riposte_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_info_Riposte_TT",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_info_Riposte_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_info_Riposte_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_shuffle_OFF_TT",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_shuffle_OFF_TT",
      "amount": 1,
      "remove_if_not_active": false,
	  "remove_on_battle_complete" : true,	  
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_Buff_TT1",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_Buff_TT1",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_TT3",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_TT3",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_Buff_TT2",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_Buff_TT2",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_Buff_TT3",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_Buff_TT3",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_Buff_TT4",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_Buff_TT4",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK7_Buff_TT5",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK7_Buff_TT5",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK1_Addl_info",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK1_Addl_info",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK2_Addl_info",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK2_Addl_info",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK3_Addl_info",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK3_Addl_info",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK5_Addl_info",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK5_Addl_info",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    },
    {
      "id": "SW_SK6_Addl_info",
      "stat_type": "upgrade_discount",
      "stat_sub_type": "SW_SK6_Addl_info",
      "amount": 1,
      "remove_if_not_active": false,
      "rule_type": "always",
      "is_false_rule": false,
      "rule_data": {
        "float": 0,
        "string": ""
      }
    }
  ]
}